Deleted Added
full compact
musthavepkg.subr (268999) musthavepkg.subr (294865)
1if [ ! "$_PACKAGES_MUSTHAVEPKG_SUBR" ]; then _PACKAGES_MUSTHAVEPKG_SUBR=1
2#
1if [ ! "$_PACKAGES_MUSTHAVEPKG_SUBR" ]; then _PACKAGES_MUSTHAVEPKG_SUBR=1
2#
3# Copyright (c) 2014 Devin Teske
3# Copyright (c) 2014-2016 Devin Teske
4# All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:
9# 1. Redistributions of source code must retain the above copyright
10# notice, this list of conditions and the following disclaimer.
11# 2. Redistributions in binary form must reproduce the above copyright

--- 7 unchanged lines hidden (view full) ---

19# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
20# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
21# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
22# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
23# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
24# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
25# SUCH DAMAGE.
26#
4# All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:
9# 1. Redistributions of source code must retain the above copyright
10# notice, this list of conditions and the following disclaimer.
11# 2. Redistributions in binary form must reproduce the above copyright

--- 7 unchanged lines hidden (view full) ---

19# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
20# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
21# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
22# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
23# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
24# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
25# SUCH DAMAGE.
26#
27# $FreeBSD: head/usr.sbin/bsdconfig/share/packages/musthavepkg.subr 268999 2014-07-22 23:10:12Z dteske $
27# $FreeBSD: head/usr.sbin/bsdconfig/share/packages/musthavepkg.subr 294865 2016-01-27 00:09:53Z dteske $
28#
29############################################################ INCLUDES
30
31BSDCFG_SHARE="/usr/share/bsdconfig"
32. $BSDCFG_SHARE/common.subr || exit 1
33f_dprintf "%s: loading includes..." packages/musthavepkg.subr
34f_include $BSDCFG_SHARE/dialog.subr
35f_include $BSDCFG_SHARE/mustberoot.subr

--- 4 unchanged lines hidden (view full) ---

40#
41# Validate pkg(8) is installed and set $PKG_ABI global if not already set.
42# Returns success unless pkg(8) is not installed and user refuses to install
43# it (upon prompt when running interactively).
44#
45f_musthavepkg_init()
46{
47 local funcname=f_musthavepkg_init
28#
29############################################################ INCLUDES
30
31BSDCFG_SHARE="/usr/share/bsdconfig"
32. $BSDCFG_SHARE/common.subr || exit 1
33f_dprintf "%s: loading includes..." packages/musthavepkg.subr
34f_include $BSDCFG_SHARE/dialog.subr
35f_include $BSDCFG_SHARE/mustberoot.subr

--- 4 unchanged lines hidden (view full) ---

40#
41# Validate pkg(8) is installed and set $PKG_ABI global if not already set.
42# Returns success unless pkg(8) is not installed and user refuses to install
43# it (upon prompt when running interactively).
44#
45f_musthavepkg_init()
46{
47 local funcname=f_musthavepkg_init
48 local pkg_abi_awk='$1~/^ABI/{print $NF; exit}'
48 local pkg_abi_awk=' # BEGIN-AWK
49 $1 ~ /^ABI/ && $0 = $NF, sub(/^"/, "") && sub(/".*/, "") {
50 print; found = 1; exit
51 } END { exit ! found }
52 ' # END-AWK
49
50 if [ "$PKG_ABI" ]; then # Already set
51 f_dprintf "PKG_ABI=[%s]" "$PKG_ABI"
52 export PKG_ABI
53 f_quietly pkg -N -vv # return status (pkg(8) functional?)
54 return $?
55 fi
56

--- 31 unchanged lines hidden ---
53
54 if [ "$PKG_ABI" ]; then # Already set
55 f_dprintf "PKG_ABI=[%s]" "$PKG_ABI"
56 export PKG_ABI
57 f_quietly pkg -N -vv # return status (pkg(8) functional?)
58 return $?
59 fi
60

--- 31 unchanged lines hidden ---